#
# spec file for package python-tuskarclient
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component tuskarclient
%define version_unconverted 0.1.19.dev24

Name:           python-%{component}
Version:        0.1.19~a0~dev24
Release:        3.1
Summary:        Openstack Deployment (Tuskar) API Client
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/python-tuskarclient
Source:         http://tarballs.openstack.org/python-tuskarclient/python-tuskarclient-master.tar.gz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-devel
BuildRequires:  python-pbr >= 0.5.21
# Documentation build requirements:
#BuildRequires:  python-Sphinx
# Test requirements:
BuildRequires:  python-PrettyTable >= 0.6
BuildRequires:  python-cliff
BuildRequires:  python-fixtures >= 0.3.14
BuildRequires:  python-keystoneclient >= 0.2
BuildRequires:  python-mock >= 1.0
BuildRequires:  python-openstackclient
BuildRequires:  python-testrepository >= 0.0.17
BuildRequires:  python-testtools >= 0.9.32
Requires:       python >= 2.6.8
Requires:       python-Babel >= 1.3
Requires:       python-PrettyTable >= 0.7
Requires:       python-iso8601 >= 0.1.9
Requires:       python-keystoneclient >= 1.6.0
Requires:       python-pbr >= 1.6
Requires:       python-requests >= 2.5.2
Requires:       python-simplejson >= 2.2.0
Requires:       python-six >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Provides:       %{name}-test = %{version}
#TODO(saschpe): Change back to '<' after next version update:
Obsoletes:      %{name}-test <= %{version}

%description
This is a client library for Tuskar built on the Tuskar Deployment API. It
provides a Python API (the tuskarclient module) and a command-line tool (tuskar).

%package doc
Summary:        Openstack Orchestration (Tuskar) API Client - Documentation
Group:          Documentation/HTML
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n %{name}-%{version_unconverted}
%openstack_cleanup_prep
echo %{version} > tuskarclient/versioninfo

%build
%{__python2} setup.py build
#python setup.py build_sphinx
#rm doc/build/html/.buildinfo

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-data=%{python2_sitelib}

##%check
##testr init && testr run --parallel

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{_bindir}/tuskar
%{python2_sitelib}/%{component}/
%{python2_sitelib}/python_%{component}-*.egg-info

%files doc
%defattr(-,root,root,-)
%doc LICENSE 
#%doc doc/build/html

%changelog
* Mon Mar 14 2016 tbechtold@suse.com
- adjust Requires and BuildRequires
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev24:
  * Update README.md for repo project
* Thu Oct  8 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev22:
  * Updated from global requirements
* Sun Sep 27 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev21:
  * Change ignore-errors to ignore_errors
  * Switch to oslo_i18n
  * Replace assert_called_once() calls
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev19:
  * Replace assert_called_once(
* Tue Sep  1 2015 tbechtold@suse.com
- Add python_requires to _service
- Adjust Requires according to requirements.txt
- Disable testsuite for now
* Thu Jul 30 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Fri Jul  3 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev18:
  * Fix output of "tuskar plan-list --verbose"
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev16:
  * Updated from global requirements
  * Enable SSL-related CLI opts
  * Handle creation of plan with existing name
  * Filter and format parameters for plan role in OSC
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev8:
  * Calling tuskar role-list would output blank lines
* Fri Jun 12 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev6:
  * Bump hacking version
* Sat May 23 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev5:
  * Updated from global requirements
* Wed May 13 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.19.dev4:
  * Implement download Plan for the OpenStack client
  * Implement Plan remove Role for the OpenStack client
  * Implement Plan add Role for the OpenStack client
  * Implement show Plan for the OpenStack client
* Tue May 12 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.18:
  0.1.18
  * Implement Update Plan for the OpenStack client
  * Show Plan parameters with empty values only
* Fri May  8 2015 dmueller@suse.com
- Update to version python-tuskarclient-0.1.18.dev15:
  * Implement delete Plan for the OpenStack client
  * Implement create Plan for the OpenStack client
  * Implement list plans for the OpenStack client
  * Implement list Roles for the OpenStack client
  * Drop use of 'oslo' namespace package
  * Add stub commands and tests for all OpenStack client commands
  * Add initial python-openstackclient plugin
  * Correct plan-remove-role to handle return of delete correctly
* Thu May  7 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.18.dev4:
  * Updated from global requirements
* Fri May  1 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.17.post3:
  * Add a help message for the plan-templates command
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.17.post1:
  * Add /v2 to TUSKAR_URL in README example
  0.1.17
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.16.post2:
  * Add support for subdirs in templates listing
  0.1.16
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post62:
  * Update documentation to match parameter rename
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post60:
  * Updated URLs to remove version string
  * Rename Attributes to Parameters to match Tuskar API
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post57:
  * Trim down the output of plan-show to be more useful
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post55:
  * Strenghten tests in {Plan,Role}ManagerTest
  * Replaces _create calls with _post in PlanManager
  * Add Plan Role-Flavors manage methods
  * Remove unused exc file
  * Add Plan Scale manage methods
  * Updated from global requirements
  * Default service_type for endpoint lookup
  * Fix invocation of _get()
* Thu Mar  5 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post41:
  * Rename command tuskar plan-patch to plan-update
* Sat Feb 28 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post39:
  * Fix invocation of _get(
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post38:
  * Increase test coverage
  * Remove unneeded HTTPClient used by v1 API
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post36:
  * Migrate from the Manager in Tuskar common to oslo
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post35:
  * Remove marshal_association utility
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post33:
  * Removes openstack/common from test coverage report
  * Reimplement print_dict and print_list formatters
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post30:
  * Updated from global requirements
  * Remove Python 2.6 from the tox.ini
  * Remove unused methods
  * Remove extra CLI formatters
  * Remove bindings for the unsupported V1 API
* Tue Jan 27 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post22:
  * Remove Python 2.6 support
  * Remove the unneeded coverage omit for the tests
  * Remove unused importutils module
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.post16:
  * Sync with oslo-incubator
  * Remove unused strutils module
* Tue Dec 16 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.13.gf9cb45a:
  * Workflow documentation is now in infra-manual
* Thu Nov 27 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.12.g5d1b561:
  * Updated from global requirements
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.11.g2f3bc1a:
  * Moves test_http.py under tests/common directory
  * Updated from global requirements
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.8.g3c3588f:
  * Updated from global requirements
* Sun Nov  9 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.15.7.g1271940:
  * Removes legacy Exception for 300 HTTP status
  * Add a --debug option
  * Move utils arg/env to oslo cliutils
  * Sync oslo-incubator
  * Add --version option
  0.1.15
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.14.5.g0b71572:
  * Updated from global requirements
  * Enable gating on H405 and fix exiting violations
  * Enable gating on H904 and fix existing violations
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.14.1.gda3fed4:
  * Update the default version to use the new API
  0.1.14
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.13.1.g3feaf9c:
  * Fix the homepage url in setup.cfg
  0.1.13
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.12.5.gd5b3802:
  * Docs for CLI usage with API version 2
* Sat Sep 27 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.12.4.g4c51742:
  * Updated from global requirements
* Fri Sep 26 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.12.3.g37a679b:
  * Stop using intersphinx
* Thu Sep 25 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.12.1.gdc170a3:
  * Adds plan-templates command to CLI
  0.1.12
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.11.1.gf2799bf:
  * Adds Templates class and use it
  0.1.11
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.10.17.g930d86a:
  * Adds plan-patch command to CLI
  * Adds role-list command to CLI
  * Adds plan-remove-role command to CLI
  * Adds plan-add-role command to CLI
  * Adds plan-create to CLI
  * Adds plan-delete to CLI
  * Adds plan-show command to CLI
  * Adds plan-list command to CLI
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.10.1.gefedbdb:
  * Work toward Python 3.4 support and testing
  0.1.10
* Wed Sep  3 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.9.4.g4758265:
  * Roles in Plan are now instances of Role class
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.9.3.g1ece33c:
  * Adds binding for GET /v2/plans/:uuid/templates
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.9.2.g912e686:
  * Fix for plan patch
  0.1.9
* Tue Aug 26 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.8.14.g2af0656:
  * Adds binding for GET /v2/roles
  * Remove Python 2.4 compatability for all()
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.8.11.g7937d1a:
  * Adds binding DELETE /v2/plans/:plan/roles/:role
  * Adds binding for POST /v2/plans/:plan_uuid/roles
  * Adds empty RoleManager to v2 client
  * Adds binding for DELETE /v2/plans/:plan_uuid
  * Adds binding for PATCH /v2/plans/:plan_uuid
  * Implements _patch() method for Manager class
  * Adds binding for POST /v2/plans endpoint
  * Adds binding for GET /v2/plans endpoint
  * Adds binding for GET /v2/plans/:plan_uuid endpoint
  * Adds empty PlanManager to v2 client
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.8.1.gb7b51e3:
  * Adds empty client for version 2 of Tuskar API
  0.1.8
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.7.1.ga0f7527:
  * Bump hacking to 0.9.x series
  0.1.7
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.6.1.gd1384e6:
  * Pass the requests.Response object to from_response(
  0.1.6
* Sat May 31 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.5.1.g2222728:
  * replaced e.message
  0.1.5
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.4.4.gd67a087:
  * Implement finding by name
  0.1.4
  * Remove py3kcompat module
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.3.1.g55b9990:
  * Revert "Use HTTPClient from common apiclient code"
  0.1.3
* Mon Mar 31 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.2.5.g3777496:
  * Changed role count assignment to use role name
  * Add CLI support for the template_parameters action
* Sat Mar 29 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.2.2.g9eb1f3e:
  0.1.2
  * Add API binding for the template_parameters action
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.1.7.gc750414:
  * Removed unreachable code
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.1.5.ged4cce1:
  * Remove multivalue attributes and roles from CLI
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.1.3.g9c71329:
  * Add docstrings to the CLI actions
  * Add trove classifiers for specific versions of Python
  0.1.1
  * Add initial Sphinx layout and documentation
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.0.2.g2da242b:
  * Use six.StringIO/BytesIO instead of StringIO.StringIO
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.1.0.1.g2b999ec:
  * Using tox instead of tuskar_with_venv.sh script
  0.1.0
* Fri Feb 14 2014 speilicke@suse.com
- Run testr directly
* Thu Feb 13 2014 dmueller@suse.com
- remove hacking
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version python-tuskarclient-0.0.8.8.gfce3124:
  * Add CLI support for Overclouds and Overcloud Roles
* Tue Feb 11 2014 speilicke@suse.com
- Update to version 0.0.8.6.g13983ef:
  * Update common apiclient from Oslo
  * Remove tox locale overrides
  * Add bindings for Overcloud Role API entrypoints
  * Add bindings for overcloud API entrypoints
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.8.1:
  + Remove concepts that no longer exist in the API
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.7.9:
  + Adds help for subcommands
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.7.8:
  + Use implicit dependencies of Hacking for pep8, pyflakes, flake8
* Fri Jan 17 2014 speilicke@suse.com
- Update to version 0.0.7.7:
  + Sync with global requirements
  + Adds default logging for tuskarclient.common.http
  + Use HTTPClient from common apiclient code
  + Corrected the project name in a comment
- Refreshed dependencies
* Thu Jan 16 2014 dmueller@suse.com
- clean up requires
* Tue Dec 24 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.6.6:
  + Use exceptions from common Oslo code
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.6.5:
  + Fixes in do_flavor_delete() method
* Wed Dec 18 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.6.4:
  + Sync common client code from Oslo
  + Use Resource() class from common Olso code
* Tue Dec 17 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.5.6:
  + Do not use locals() for string formatting
  + Use python 3.x compatible print function
  + Remove inheritance from HTTPClient in tuskarclient
  + Set hacking version to match global requirements
* Tue Dec  3 2013 speilicke@suse.com
- Run testsuite during build (%%check section) and obsolete the test
  package. An overall simplification of the test process
* Sat Nov 30 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.4.1:
  + Revert "Support building wheels (PEP-427)"
* Mon Nov 25 2013 dmueller@suse.com
- switch to setuptools
* Thu Nov 21 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.3.1:
  + Support building wheels (PEP-427)
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.2.4:
  + Add bindings for overcloud entrypoints
  + Remove empty CLI source files
* Sat Nov  2 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.2.1:
  + Fix handling of values obtained from Keystone
* Wed Oct  2 2013 dmueller@suse.com
- Initial package
